Subject: bug#35524: libtool: error: unrecognised option: '-DHAVE_CONFIG_H'

From: Bob Friesenhahn <[email-masked]>
Date: Wed, 1 May 2019 09:49:48 -0500 (CDT)

On Wed, 1 May 2019, Nguyen, Nhuan wrote:

> To Whom It May Concern,
>
> I am new to gcc/libtool.  I currently got the following error on libtool and I need your help

The -D options are for the C pre-processor and such definitions belong 
in CPPFLAGS, which is used when compiling to produce object files, but 
not when linking.  In what usage context are you seeing this problem?

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Public Key,     http://www.simplesystems.org/users/bfriesen/public-key.txt